/*
 * ========================================================================
 *
 * Codehaus CARGO, copyright 2004-2011 Vincent Massol.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * ========================================================================
 */
package org.codehaus.cargo.container.configuration;

/**
 * A runtime configuration represents a configuration for a container that is already started. The
 * parameters that can be set/unset depend on the container's capability for changing parameters at
 * runtime (for example most containers support using JMX for changing some parameters).
 * 
 * @version $Id: RuntimeConfiguration.java 2760 2011-03-19 17:33:47Z alitokmen $
 */
public interface RuntimeConfiguration extends Configuration
{
}
